Bug 1442052 - carbon-c-relay-3.0 is available
Summary: carbon-c-relay-3.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: carbon-c-relay
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-13 12:12 UTC by Upstream Release Monitoring
Modified: 2018-08-22 10:42 UTC (History)
2 users (show)

Fixed In Version: carbon-c-relay-3.1-1.fc24 carbon-c-relay-3.1-1.fc25 carbon-c-relay-3.3-1.fc28 carbon-c-relay-3.3-1.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 04:02:11 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2017-04-13 12:12:22 UTC
Latest upstream release: 3.0
Current version/release in rawhide: 2.6-2.fc26
URL: https://github.com/grobian/carbon-c-relay

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6115/

Comment 1 Upstream Release Monitoring 2017-04-13 12:12:28 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 2 Upstream Release Monitoring 2017-04-13 17:10:31 UTC
piotrp's carbon-c-relay-3.0-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=880336

Comment 3 Fedora Update System 2017-04-13 19:55:42 UTC
carbon-c-relay-3.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-85064240c0

Comment 4 Fedora Update System 2017-04-13 19:56:04 UTC
carbon-c-relay-3.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-13aa85e924

Comment 5 Fedora Update System 2017-04-13 19:56:39 UTC
carbon-c-relay-3.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-22f4e9ca17

Comment 6 Fedora Update System 2017-04-13 19:56:57 UTC
carbon-c-relay-3.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-aa16a449e3

Comment 7 Fedora Update System 2017-04-14 23:20:17 UTC
carbon-c-relay-3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-22f4e9ca17

Comment 8 Fedora Update System 2017-04-14 23:53:20 UTC
carbon-c-relay-3.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-13aa85e924

Comment 9 Fedora Update System 2017-04-15 00:28:48 UTC
carbon-c-relay-3.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-85064240c0

Comment 10 Fedora Update System 2017-04-15 03:18:37 UTC
carbon-c-relay-3.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-aa16a449e3

Comment 11 Fedora Update System 2017-05-02 15:19:54 UTC
carbon-c-relay-3.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a77c07c91f

Comment 12 Fedora Update System 2017-05-02 15:20:24 UTC
carbon-c-relay-3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c0dc3ad7e

Comment 13 Fedora Update System 2017-05-02 15:20:56 UTC
carbon-c-relay-3.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9073902b71

Comment 14 Fedora Update System 2017-05-02 15:21:21 UTC
carbon-c-relay-3.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a250c1e072

Comment 15 Fedora Update System 2017-05-03 01:02:34 UTC
carbon-c-relay-3.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c0dc3ad7e

Comment 16 Fedora Update System 2017-05-03 06:17:36 UTC
carbon-c-relay-3.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a250c1e072

Comment 17 Fedora Update System 2017-05-03 06:24:52 UTC
carbon-c-relay-3.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9073902b71

Comment 18 Fedora Update System 2017-05-03 21:23:07 UTC
carbon-c-relay-3.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a77c07c91f

Comment 19 Fedora Update System 2017-05-04 20:02:18 UTC
carbon-c-relay-3.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a77c07c91f

Comment 20 Fedora Update System 2017-05-26 03:54:04 UTC
carbon-c-relay-3.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-05-26 04:02:13 UTC
carbon-c-relay-3.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-10-23 09:38:31 UTC
carbon-c-relay-3.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-126740aaf2

Comment 23 Fedora Update System 2017-10-23 23:17:16 UTC
carbon-c-relay-3.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-126740aaf2

Comment 24 Tuomo Soini 2017-10-24 17:24:25 UTC
I got FTBFS when I tried to build carbon-c-relay-3.2-1.el7 in mock on a machine with > 8 cores.

Makefiles are broken for parallel build.

Please replace %make_build with just make.

or add following after %configure:

make conffile.tarb.h conffile.tab.c conffile.yy.c

Comment 25 Tuomo Soini 2017-10-24 17:25:44 UTC
Note, I had typo in my last line.

Comment 26 Piotr Popieluch 2017-10-26 22:01:37 UTC
Thanks, I've seen one build in koji fail but didn't really look into why and just resubmitted. Was probably this.

Comment 27 Piotr Popieluch 2017-10-27 11:11:13 UTC
I've patched the Makefile to add missing dependencies and did some scratch builds, all seem to work fine now. Any chance if you could test the latest build in rawhide? 

https://koji.fedoraproject.org/koji/taskinfo?taskID=22726661

Comment 28 Tuomo Soini 2017-10-27 11:40:37 UTC
No rawhide available but I grabbed src.rpm from scratch build and tested to build for epel7 on my system - builds fine now, thank you.

Comment 29 Piotr Popieluch 2017-10-27 12:08:15 UTC
Thanks for testing.

Comment 30 Fedora Update System 2018-04-13 10:43:06 UTC
carbon-c-relay-3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae4939593d

Comment 31 Fedora Update System 2018-04-13 10:43:57 UTC
carbon-c-relay-3.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7a17e33a9a

Comment 32 Fedora Update System 2018-04-13 10:44:44 UTC
carbon-c-relay-3.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-271626c617

Comment 33 Fedora Update System 2018-04-15 02:25:40 UTC
carbon-c-relay-3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae4939593d

Comment 34 Fedora Update System 2018-04-15 15:18:14 UTC
carbon-c-relay-3.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-271626c617

Comment 35 Fedora Update System 2018-04-15 16:21:56 UTC
carbon-c-relay-3.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7a17e33a9a

Comment 36 Fedora Update System 2018-04-27 04:02:11 UTC
carbon-c-relay-3.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2018-08-22 10:42:48 UTC
carbon-c-relay-3.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.